LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Problem with Banshee/iTunes/Wine & iPod Support (http://www.linuxquestions.org/questions/linux-newbie-8/problem-with-banshee-itunes-wine-and-ipod-support-647618/)

iComet 06-07-2008 09:41 AM

Problem with Banshee/iTunes/Wine & iPod Support
 
Please help....
I have a nano 3rd generation that Banshee has made me change it's software so it can configure with it...
It changed my iPod's software and now I can't sync my songs with Banshee... it will just say synchronizing and then stop after a few seconds...leaving my iPod with no songs at all, even though Banshee shows my iPod with all it's songs with playback possible... my iPod only shows 3.6 gigs of 'other' which was really was the amount of songs I had before I configured my iPod with Banshee. please help!!!

I tried installing iTunes with Wine, and when I run iTunes, a message will appear saying:

"The software required for communicating with the iPod is not installed correctly. Please reinstall iTunes to install the iPodís software."

... Which I already have reinstalled iTunes a couple times with the same result... but I don't even know if I can even uninstall iTunes because 'uninstall wine software' doesn't show an option for iTunes-but for QuickTime and Apple software update, which only installs these software, not uninstall!!!

So guys, please help, I'm planning on leaving for vacation this Monday and I don't want to ride on my plane with no music to listen to!!!

:cry: :cry: :cry:

sonichedgehog 06-09-2008 07:07 PM

First take a look at http://www.linux.com/articles/53221 , you may need to borrow a windows or mac to fix this.

The solution there may be time consuming. Don't know what distro you have but I hope yours has a package manager so you can get gtkpod 0.99.12-2 easily (not earlier edition, it doesn't have aac support, thats m4a in Linux). I had trouble with banshee but it didn't damage my ipod files. However, I believe an ipod mini is easier to manage with Linux. I found gtkpod worked fine.

If readonly trouble see http://www.linuxquestions.org/questi...=1#post3171720

IMHO Wine can be excellent for the odd windows compatible cd or a package written for cross platform but doesn't work for everything, I don't waste time on it if it doesn't come right either first time or close.

Again my opinion only but wrestling with peripherals takes time & effort & best treated as a project, satisfying when achieved but never worth staying up all night for. Consider getting your ipod loaded from windows/mac on this occasion. enjoy your vacation whatever!


All times are GMT -5. The time now is 09:05 PM.